View Bug Details

IDProjectCategoryView StatusLast Update
0001390DCP-o-matic[All Projects] Bugspublic2019-01-07 12:30
ReporteroverlookmotelAssigned Tocarl 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformMacOSOS XOS Version10.12
Product Version2.12.0 
Target VersionFixed in Version 
Summary0001390: DCP-o-matic cannot handle some flavours of DNxHD
Description

A couple of DNxHD MXF files I've encountered come out very strange when encoded to DCP in DCP-o-matic 2.12.10.

The image appears blocky in a way that is not apparent when viewing the file in VLC or Adobe Premiere Pro.

ffprobe identifies the profile on both the offending files as "DNXHR HQX" - I guess a specific flavour of DNxHD.

This effect is seen both in the preview in DCP-o-matic and in the resulting DCP that DCP-o-matic makes.

ffmpeg is able to convert the file to e.g. ProResHQ without the artefacts appearing. So workaround is to convert file to ProResHQ with ffmpeg and make DCP from that file. That works fine.

Carl, I'll email you one of the files.

TagsNo tags attached.
Estimated work requiredUnknown

Activities

carl

2018-11-07 01:05

administrator   ~0002755

Hi Jim, the file looks OK in 2.13.x so I think it's probably been fixed in FFmpeg. We could look at a backport to 2.12.x if it is important to you.

carl

2019-01-06 23:52

administrator   ~0002861

Believed fixed by FFmpeg updates.

overlookmotel

2019-01-07 11:38

reporter   ~0002864

Ah sorry I should have checked 2.13.x before posting the issue.

FFMPEG update: Ah that would explain why I've been able to use FFMPEG to transcode the files before sending in to DCP-o-matic.

Don't worry about a backport on my account. I'm coming to the end of my run of festivals for this year, so I'll just wait for 2.14.0 to be released.

Out of interest (and maybe here isn't the right place to discuss it), what modifications do you make to FFMPEG in your fork and why are they necessary?

overlookmotel

2019-01-07 11:41

reporter   ~0002865

And where is the git repo for your FFMPEG fork please? I can't find it on your Github. Or maybe forking FFMPEG is no longer required for DCP-o-matic?

carl

2019-01-07 12:29

administrator   ~0002866

The repo is here

git://git.carlh.net/git/ffmpeg-cdist.git

The only really important change is one to provide access to EBUR128 analysis results in a sensible way. There's also a couple of small optimisations. Is should really just try to get them included in ffmpeg...

carl

2019-01-07 12:29

administrator   ~0002867

Last edited: 2019-01-07 12:30

View 2 revisions

You should be able to build with stock ffmpeg but you will lose the EBUR128 stuff in DCP-o-matic.

Bug History

Date Modified Username Field Change
2018-10-23 08:30 overlookmotel New Bug
2018-11-07 01:05 carl Assigned To => carl
2018-11-07 01:05 carl Status new => feedback
2018-11-07 01:05 carl Note Added: 0002755
2019-01-06 23:52 carl Status feedback => resolved
2019-01-06 23:52 carl Resolution open => fixed
2019-01-06 23:52 carl Note Added: 0002861
2019-01-07 11:38 overlookmotel Note Added: 0002864
2019-01-07 11:41 overlookmotel Note Added: 0002865
2019-01-07 12:29 carl Note Added: 0002866
2019-01-07 12:29 carl Note Added: 0002867
2019-01-07 12:30 carl Note Edited: 0002867 View Revisions